# Type Alias ContentFactoryTemplateFile

Forme du fichier .json d'export/import d'un modèle d'enquête. `title` est embarqué car absent du blob `data` → import autonome.

Pas de schéma Zod strict ici : un fichier importé est une donnée non fiable et brute (non passée par le formatter `raw-view`). La validation se fait au plancher minimal via `ensureIsTemplateFile` (cf. contentFactory.ensure.ts), alignée sur la validation serveur.

type ContentFactoryTemplateFile = {
data: ContentFactorySurveyData;
title: string;
type: "pollSurvey";
}

- Defined in jamespot-user-api/src/types/contentFactory.ts:52

##### Index

### Properties

data
title
type

## Properties

### data

data: ContentFactorySurveyData

- Defined in jamespot-user-api/src/types/contentFactory.ts:55

### title

title: string

- Defined in jamespot-user-api/src/types/contentFactory.ts:54

### type

type: "pollSurvey"

- Defined in jamespot-user-api/src/types/contentFactory.ts:53